Launch Printer Friendly Page Security TechCenter > > Microsoft Security Bulletin MS09-012

Microsoft Security Bulletin MS09-012 - Important

Vulnerabilities in Windows Could Allow Elevation of Privilege (959454)

Published: | Updated:

Version: 2.0

General Information

Executive Summary

This security update resolves four publicly disclosed vulnerabilities in Microsoft Windows. The vulnerabilities could allow elevation of privilege if an attacker is allowed to log on to the system and then run a specially crafted application. The attacker must be able to run code on the local machine in order to exploit this vulnerability. An attacker who successfully exploited any of these vulnerabilities could take complete control over the affected system.

This security update is rated Important for all supported editions of Microsoft Windows 2000, Windows XP, Windows Server 2003, Windows Vista, and Windows Server 2008. For more information, see the subsection, Affected and Non-Affected Software, in this section.

The security update addresses the vulnerabilities by correcting the way that Microsoft Windows addresses tokens requested by the Microsoft Distributed Transaction Coordinator (MSDTC), and by properly isolating WMI providers and processes that run under the NetworkService or LocalService accounts. For more information about the vulnerabilities, see the Frequently Asked Questions (FAQ) subsection for the specific vulnerability entry under the next section, Vulnerability Information.

This security update also addresses the vulnerability first described in Microsoft Security Advisory 951306.

Recommendation. The majority of customers have automatic updating enabled and will not need to take any action because this security update will be downloaded and installed automatically. Customers who have not enabled automatic updating need to check for updates and install this update manually. For information about specific configuration options in automatic updating, see Microsoft Knowledge Base Article 294871.

For administrators and enterprise installations, or end users who want to install this security update manually, Microsoft recommends that customers apply the update at the earliest opportunity using update management software, or by checking for updates using the Microsoft Update service.

See also the section, Detection and Deployment Tools and Guidance, later in this bulletin.

Known Issues. Microsoft Knowledge Base Article 959454 documents the currently known issues that customers may experience when installing this security update. The article also documents recommended solutions for these issues.

Affected and Non-Affected Software

The following software have been tested to determine which versions or editions are affected. Other versions or editions are either past their support life cycle or are not affected. To determine the support life cycle for your software version or edition, visit Microsoft Support Lifecycle.

Affected Software

MSDTC Transaction Facility updateWindows Service Isolation updateMaximum Security ImpactAggregate Severity RatingBulletins Replaced by this Update
Microsoft Windows 2000 Service Pack 4
(KB952004)
Not applicableElevation of PrivilegeImportantNone
Windows XP Service Pack 2 and Windows XP Service Pack 3
(KB952004)
See rows belowElevation of PrivilegeImportantNone
See row aboveWindows XP Service Pack 2
(KB956572)
Elevation of PrivilegeImportantMS07-022,
MS08-002,
MS08-064
See row aboveWindows XP Service Pack 3
(KB956572)
Elevation of PrivilegeImportantMS08-064
Windows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows XP Professional x64 Edition and Windows XP Professional x64 Edition Service Pack 2
(KB956572)
Elevation of PrivilegeImportantMS08-002,
MS08-064
Windows Server 2003 Service Pack 1 and Windows Server 2003 Service Pack 2
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2003 Service Pack 1 and Windows Server 2003 Service Pack 2
(KB956572)
Elevation of PrivilegeImportantMS07-022,
MS08-002,
MS08-064
Windows Server 2003 x64 Edition and Windows Server 2003 x64 Edition Service Pack 2
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2003 x64 Edition and Windows Server 2003 x64 Edition Service Pack 2
(KB956572)
Elevation of PrivilegeImportantMS08-002,
MS08-064
Windows Server 2003 with SP1 for Itanium-based Systems and Windows Server 2003 with SP2 for Itanium-based Systems
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2003 with SP1 for Itanium-based Systems and Windows Server 2003 with SP2 for Itanium-based Systems
(KB956572)
Elevation of PrivilegeImportantMS08-002,
MS08-064
Windows Vista and Windows Vista Service Pack 1
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Vista and Windows Vista Service Pack 1
(KB956572)
Elevation of PrivilegeImportantMS08-064
Windows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Vista x64 Edition and Windows Vista x64 Edition Service Pack 1
(KB956572)
Elevation of PrivilegeImportantMS08-064
Windows Server 2008 for 32-bit Systems*
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2008 for 32-bit Systems*
(KB956572)
Elevation of PrivilegeImportantMS08-064
Windows Server 2008 for x64-based Systems*
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2008 for x64-based Systems*
(KB956572)
Elevation of PrivilegeImportantMS08-064
Windows Server 2008 for Itanium-based Systems
(KB952004)
See row belowElevation of PrivilegeImportantNone
See row aboveWindows Server 2008 for Itanium-based Systems
(KB956572)
Elevation of PrivilegeImportantMS08-064

*Windows Server 2008 server core installation affected. For supported editions of Windows Server 2008, this update applies, with the same severity rating, whether or not Windows Server 2008 was installed using the Server Core installation option. For more information on this installation option, see Server Core. Note that the Server Core installation option does not apply to certain editions of Windows Server 2008; see Compare Server Core Installation Options.

Frequently Asked Questions (FAQ) Related to This Security Update

Vulnerability Information

Severity Ratings and Vulnerability Identifiers

Windows MSDTC Service Isolation Vulnerability - CVE-2008-1436

Windows WMI Service Isolation Vulnerability - CVE-2009-0078

Windows RPCSS Service Isolation Vulnerability - CVE-2009-0079

Windows Thread Pool ACL Weakness Vulnerability - CVE-2009-0080

Update Information

Detection and Deployment Tools and Guidance

Security Update Deployment

Other Information

Acknowledgments

Microsoft thanks the following for working with us to help protect customers:

  • Cesar Cerrudo of Argeniss for reporting the Windows MSDTC Service Isolation Vulnerability (CVE-2008-1436), Windows WMI Service Isolation Vulnerability (CVE-2009-0078), Windows RPCSS Service Isolation Vulnerability (CVE-2009-0079), and Windows Thread Pool ACL Weakness Vulnerability (CVE-2009-0080)

Microsoft Active Protections Program (MAPP)

To improve security protections for customers, Microsoft provides vulnerability information to major security software providers in advance of each monthly security update release. Security software providers can then use this vulnerability information to provide updated protections to customers via their security software or devices, such as antivirus, network-based intrusion detection systems, or host-based intrusion prevention systems. To determine whether active protections are available from security software providers, please visit the active protections Web sites provided by program partners, listed in Microsoft Active Protections Program (MAPP) Partners.

Support

  • Customers in the U.S. and Canada can receive technical support from Security Support or 1-866-PCSAFETY. There is no charge for support calls that are associated with security updates. For more information about available support options, see Microsoft Help and Support.
  • International customers can receive support from their local Microsoft subsidiaries. There is no charge for support that is associated with security updates. For more information about how to contact Microsoft for support issues, visit the International Support Web site.

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

  • V1.0 (April 14, 2009): Bulletin published.
  • V1.1 (April 15, 2009): Corrected the FAQ for the Windows Thread Pool ACL Weakness Vulnerability (CVE-2009-0080) to remove an erroneous "What does the update do" entry. This is an informational change only.
  • V1.2 (April 22, 2009): Added entry to the section, Frequently Asked Questions (FAQ) Related to This Security Update, to communicate that the Known issues with this security update section referenced in the associated Microsoft Knowledge Base Article 959454 has been updated. This is an informational change only.
  • V2.0 (April 29, 2009): Added an entry to the section, Frequently Asked Questions (FAQ) Related to This Security Update to communicate the rerelease of the Norwegian-language update for Microsoft Windows 2000 Service Pack 4 (KB952004). Customers who require the Norwegian-language update need to download and install the rereleased update. No other updates or locales are affected by this rerelease.